<?php
#-------------------------------------------------------------------------
# Plugin: browserupdate
# Author: Priton
#-------------------------------------------------------------------------
# CMS - CMS Made Simple is (c) 2011 by Ted Kulp (wishy@cmsmadesimple.org)
# This project's homepage is: http://www.cmsmadesimple.org
# The plugin's homepage is: http://dev.cmsmadesimple.org/projects/browserupdate
#-------------------------------------------------------------------------
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
# Or read it online: http://www.gnu.org/licenses/licenses.html#GPL
#-------------------------------------------------------------------------

function smarty_cms_function_browserupdate($params, &$smarty) {

/**
 * Default parameter settings
 */
$IE = "7";
$Ffox = "4";
$Oper = "10.6";
$Saf = "4";

/**
 * Read and attach the specified parameters to usable strings (if any)
 */
if (!empty($params['IE']))
	$IE = $params['IE'];
if (!empty($params['Ffox']))
	$Ffox = $params['Ffox'];
if (!empty($params['Oper']))
	$Oper = $params['Oper'];	
if (!empty($params['Saf']))
	$Saf = $params['Saf'];	
 
/**
 * Output the browserupdate code
 */
echo '<script type="text/javascript">' . "\n"; 
echo 'var $buoop = {vs:{i:'. $IE . ',f:'. $Ffox . ',o:'. $Oper . ',s:'. $Saf . ',n:9}}' . "\n"; 
echo '$buoop.ol = window.onload;' . "\n"; 
echo 'window.onload=function(){ ' . "\n";
echo 'try {if ($buoop.ol) $buoop.ol();}catch (e) {} ' . "\n"; 
echo 'var e = document.createElement("script"); ' . "\n"; 
echo 'e.setAttribute("type", "text/javascript"); ' . "\n"; 
echo 'e.setAttribute("src", "http://browser-update.org/update.js"); ' . "\n"; 
echo 'document.body.appendChild(e); ' . "\n"; 
echo'}' . "\n"; 
echo '</script>' . "\n";
}//End Function

/**
 * Help text
 */
function smarty_cms_help_function_browserupdate() {
	?>
		<h3>What does this do?</h3>
		<p>This plug-in tests the browser version of the end-user. If that browser 
		is outdated, a simple update message is shown. This plug-in uses code from:
		<a target="_blank" href="http://browser-update.org/">http://browser-update.org/</a> ; a web 
		designers initiative which supports multiple languages.</p>

		<h3>Dependencies</h3>
		<p>This plugin has no known dependencies.</p>

		<h3>How do I use it?</h3>
		<ol>
			<li>Add the tag <b>{browserupdate}</b> in the <b>&lt;head&gt;</b> section of yout 
			template</li>
		</ol>
		<h3>What parameters does it take?</h3>
		<p><b>IE=&quot;&quot;</b> [default is: &quot;7&quot;]<br>
		&nbsp;&nbsp;&nbsp; States the version number of <b>Internet Explorer</b> which 
		is outdated (and any version older than that version number.)<br><br>
		<b>Ffox</b> <b>=&quot;&quot;</b> [default is: &quot;4&quot;]<br>
		&nbsp;&nbsp;&nbsp; States the version number of <b>FireFox</b> which is outdated 
		(and any version older than that version number.)<br><br>
		<b>Oper</b> <b>=&quot;&quot;</b> [default is: &quot;11&quot;]<br>
		&nbsp;&nbsp;&nbsp; States the version number of <b>Opera</b> which is outdated 
		(and any version older than that version number.)<br><br>
		<b>Saf</b> <b>=&quot;&quot;</b> [default is: &quot;10.6&quot;]<br>
		&nbsp;&nbsp;&nbsp; States the version number of <b>Safari</b> which is outdated 
		(and any version older than that version number.)<br><br>
		<br>
		A fully customised call could look like: <b><i><br>
		{browserupdate IE=&quot;8&quot; Ffox=&quot;5&quot; Oper=&quot;11&quot; Saf=&quot;5&quot;}</i></b></p>
	<?php
} //End Function

/**
 * About text
 */
function smarty_cms_about_function_browserupdate() {
	?>
		<p><b>Plugin author: Priton</b> &lt;info[at]priton[dot]nl&gt;</p>
		<p><b>Version:</b> 1.0</p>
		<p>	<b>Change History:</b> 11-05-2013 - Priton - Initial release</p>
	<?php
} //End Function
?>